{% set today = date() %}
{% set yesterday = date('-1days') %}
<div class="row">
    <div class="cell padded rw-3"><button id="backbtn"><img src="{{ asset("build/images/icons/small_back.gif") }}" /> {% trans from 'global' %}Züruck{% endtrans %}</button></div>
    {% if thread.archived %}
    <div class="cell padded rw-3"><button id="unarchivebtn"><img src="{{ asset("build/images/icons/small_archive.gif") }}" /> {% trans from 'global' %}Entstauben{% endtrans %}</button></div>
    {% elseif thread.sender %}
    <div class="cell padded rw-3"><button id="archivebtn"><img src="{{ asset("build/images/icons/small_archive.gif") }}" /> {% trans from 'global' %}Archivieren{% endtrans %}</button></div>
    {% endif %}
</div>

<div class="row-table home-pm">
    <h5>{% trans from 'game'%}Betreff:{% endtrans %} {{thread.title}}</h5>

    {% for post in posts %}
        {% set variant = null %}
        {% if not post.owner or post.owner.name == 'Der Rabe' %}{% set variant = 'crow' %}{% endif %}

        <div class="forum-post {% if variant is not null %}forum-post-variant-{{ variant }}{% endif %} {% if not post.owner %}crow-pm{% endif %}">
            <div class="forum-post-header {% if variant is not null %}header-variant-{{ variant }}{% endif %}">
                <i>
                    {% if post.date.format('Ymd') == today|date("Ymd") %}
                        {{ 'Heute um'|trans({},'global') }} {{ post.date|format_datetime('none', 'short') }}
                    {% elseif post.date.format('Ymd') == yesterday|date("Ymd") %}
                        {{ 'Gestern um'|trans({},'global') }} {{ post.date|format_datetime('none', 'short') }}
                    {% else %}
                        {{ post.date|format_datetime('medium', 'short') }}
                    {% endif %}
                </i>
                {% if post.owner and post.owner.user.name != 'Der Rabe' %}
                    {% if (post.owner.user.avatar) %}
                        {% if app.user.preferSmallAvatars %}
                            <div class="avatar small ua-{{ post.owner.user.id % 10 }}"><img alt="" src="{{ path('app_web_avatar', {'uid': post.owner.user.id, 'name': post.owner.user.avatar.smallName, 'ext': post.owner.user.avatar.format}) }}"></div>
                        {% else %}
                            <div class="avatar ua-{{ post.owner.user.id % 10 }}"><img alt="" src="{{ path('app_web_avatar', {'uid': post.owner.user.id, 'name': post.owner.user.avatar.filename, 'ext': post.owner.user.avatar.format}) }}"></div>
                        {% endif %}
                    {% else %}
                        <div class="avatar small ua-{{ post.owner.user.id % 10 }}"><img alt="" src="{{ asset('build/images/forum/empty_avatar.gif') }}"></div>
                    {% endif %}
                {% else %}
                    {% if app.user.preferSmallAvatars %}
                        <div class="avatarcrow small"><img alt="" src="{{ asset('build/images/forum/crow/crow.small.' ~ (app.request.locale|e('html_attr')|split('_', 2))[0] ~ '.png') }}"></div>
                    {% else %}
                        <div class="avatarcrow"><img alt="" src="{{ asset('build/images/forum/crow/crow.' ~ (app.request.locale|e('html_attr')|split('_', 2))[0] ~ '.png') }}"></div>
                    {% endif %}
                {% endif %}
                <b>
                    {% if not post.owner or post.owner.user.name == 'Der Rabe' %}
                        {{ 'Der Rabe'|trans({},'global') }}
                    {% else %}
                        {% include 'ajax/soul/playername.html.twig' with {user: post.owner.user, globalSpace: false} only %}
                    {% endif %}
                </b>
            </div>
            <div class="forum-post-content" >
                {% if not post.owner %}
                    <div class="crowmsg {% if not app.user.preferSmallAvatars %}fixMargin{% endif %}">{{ 'Dies ist eine offizielle Nachricht.'|trans({},'game') }} <a class="help-button"><div class="tooltip help">{{ 'Diese Nachricht wurde dir vom Raben persönlich überbracht. Er schwebt über der Stadt und wirft immer ein wachsames Auge auf dich...'|trans({},'global') }}</div>{{ 'Hilfe'|trans({},'global') }}</a></div>
                {% endif %}

                {% if post.originalRecipient is not null and post.originalRecipient != post.recipient %}
                    [ <i>{{ 'Wenn der Name auf der Rückseite dieses kleinen Briefs korrekt ist, war diese Nachricht in Wirklichkeit für {citizen}! Durch einen seltsamen Zufall ist sie irgendwie bei dir gelanded ...'|trans({'{citizen}': '<strong>' ~ post.originalRecipient.name ~ '</strong>'},'game')|raw }}</i> ]<br /><br />
                {% endif %}

                {% if post.hidden %}
                    <div class="crowmsg {% if not app.user.preferSmallAvatars %}fixMargin{% endif %}">{{ 'Der Rabe hat diese Nachricht zerrissen.'|trans({},'game') }}</div>
                {% else %}
                    {{ post.text|raw }}
                {% endif %}

                {% if post.modMessage %}
                    <div class="modAnnounce">{{ post.modMessage }}</div>
                {% endif %}

                {% if items[post.id] is defined and items[post.id]|length > 0 %}
                    <hr />
                    <div class="help">
                        {% trans from 'game' %}Du hast mit dieser Nachricht folgende Gegenstände erhalten. Sie müssten sich in deiner Truhe befinden (insofern noch niemand vor dir vorbei geschaut hat... ).{% endtrans %}
                        <ul class="linked-items">
                        {% for item in items[post.id] %}
                            <li><img src="{{ asset('build/images/item/item_' ~ item.icon ~ '.gif') }}" alt="{{ item.label|trans({},'items') }}"> {{ item.label|trans({},'items') }}</li>
                        {% endfor %}
                        </ul>
                    </div>
                {% endif %}
            </div>
            <div class="forum-post-footer right">
                {% if post.owner and post.owner.user != app.user %}
                    <div class="float-right small">
                        [ <a class="action-button" id="report_post" x-forum-action="report-post" x-post-id={{ post.id }}><img alt="!" src="{{ asset('build/images/forum/warning.png') }}"><div class="tooltip forum-tooltip">{{'Unangemessene Nachricht blockieren'|trans({}, 'global')}}</div></a> ]
                    </div>
                {% endif %}
            </div>
        </div>
    {% endfor %}

    {% if not thread.archived and not thread.locked and thread.sender %}
        {% if not app.user|restricted(constant('App\\Entity\\AccountRestriction::RestrictionTownCommunication')) %}
            <button id="replybtn">{{ 'Antworten'|trans({},'global') }}</button>
        {% endif %}
        <div id="pm-forum-editor"></div>
    {% endif %}
</div>

<script>
    let sendbtn = document.getElementById("pmsendanswer");
    if(sendbtn) sendbtn.addEventListener('click', function(e){
        e.preventDefault();
        $.ajax.easySend( '{{ path('town_house_send_pm_controller') }}', {global: false, 'content': document.getElementById("pmanswer").value, 'tid': {{ thread.id }}},
            function () {
                $.ajax.load(null, '{{ path('town_house', {'tab': 'messages', 'subtab': 'received'}) }}', true);
            } );
    });

    let backbtn = document.getElementById("backbtn");
    if(backbtn) backbtn.addEventListener('click', function(e){
        e.preventDefault();
        const dest = "{% if thread.archived %}{{ path('town_house', {'tab': 'messages', 'subtab': 'archived'}) }}{% else %}{{ path('town_house', {'tab': 'messages', 'subtab': 'received'}) }}{% endif %}";
        $.ajax.load(null, dest, true);
    });

    let archivebtn = document.getElementById("archivebtn");
    if(archivebtn) archivebtn.addEventListener('click', function(e){
        e.preventDefault();
        $.ajax.easySend( '{{ path('home_archive_pm_controller', {'tid': thread.id, 'action': 1 }) }}', {},
        function () {
            $.ajax.load(null, '{{ path('town_house', {'tab': 'messages', 'subtab': 'received'}) }}', true);
        } );
    });

    let unarchivebtn = document.getElementById("unarchivebtn");
    if(unarchivebtn) unarchivebtn.addEventListener('click', function(e){
        e.preventDefault();
        $.ajax.easySend( '{{ path('home_archive_pm_controller', {'tid': thread.id, 'action': 0 } ) }}', {},
        function () {
            $.ajax.load(null, '{{ path('town_house', {'tab': 'messages', 'subtab': 'archives'}) }}', true);
        } );
    });

    let replybtn = document.getElementById("replybtn");
    if(replybtn) replybtn.addEventListener('click', function(e){
        e.preventDefault();
        replybtn.style.display = "none";
        $.ajax.no_history().load( document.getElementById('pm-forum-editor'), '{{ path('home_answer_post_editor_controller', {tid: thread.id}) }}', false )
    });

    $.html.addEventListenerAll('[x-forum-action="report-post"]', 'click', function(e,elem) {

        let form = $.html.createElement('<div class="modal-form" id="modal-form" />');
        form.append($.html.createElement( '<p class="small bold"></p>', '{{ 'Bist du sicher, dass du diesen Post an die Moderatoren melden willst?'|trans({},'global')|e('js') }}' ));

        let sec_p = $.html.createElement('<p class="small"/>', '{{ 'Wenn möglich gib bitte einen Grund für deine Meldung an:'|trans({},'global')|e('js') }}');
        sec_p.append( $.html.createElement('<div><label><input checked type="radio" name="report_reason" value="0" />' + '{{ 'Keinen Grund angeben'|trans({},'global')|e('js') }}' + '</label></div>') )
        sec_p.append( $.html.createElement('<div><label><input type="radio" name="report_reason" value="1" />' + '{{ 'Cheating'|trans({},'global')|e('js') }}' + '</label></div>') )
        sec_p.append( $.html.createElement('<div><label><input type="radio" name="report_reason" value="2" />' + '{{ 'Flooding oder Spam'|trans({},'global')|e('js') }}' + '</label></div>') )
        sec_p.append( $.html.createElement('<div><label><input type="radio" name="report_reason" value="3" />' + '{{ 'Verwendung einer anderen als der Stadtsprache'|trans({},'global')|e('js') }}' + '</label></div>') )
        sec_p.append( $.html.createElement('<div><label><input type="radio" name="report_reason" value="4" />' + '{{ 'Beleidigungen / Unangemessener Ausdruck'|trans({},'global')|e('js') }}' + '</label></div>') )
        sec_p.append( $.html.createElement('<div><label><input type="radio" name="report_reason" value="5" />' + '{{ 'Pornographie'|trans({},'global')|e('js') }}' + '</label></div>') )
        sec_p.append( $.html.createElement('<div><label><input type="radio" name="report_reason" value="6" />' + '{{ 'Hassrede'|trans({},'global')|e('js') }}' + '</label></div>') )
        sec_p.append( $.html.createElement('<div><label><input type="radio" name="report_reason" value="7" />' + '{{ 'Verbreitung persönlicher Informationen'|trans({},'global')|e('js') }}' + '</label></div>') )
        sec_p.append( $.html.createElement('<div><label><input type="radio" name="report_reason" value="8" />' + '{{ 'Verletzung von Copyright'|trans({},'global')|e('js') }}' + '</label></div>') )
        sec_p.append( $.html.createElement('<div><label><input type="radio" name="report_reason" value="9" />' + '{{ 'Aufruf zu Gesetzesverstößen'|trans({},'global')|e('js') }}' + '</label></div>') )
        sec_p.append( $.html.createElement('<div><label><input type="radio" name="report_reason" value="10" />' + '{{ 'Ermutigung von Selbstmord oder Selbstverletzung'|trans({},'global')|e('js') }}' + '</label></div>') )
        sec_p.append( $.html.createElement('<p class="small"/>', '{{ 'Zusätzliche Informationen zu deiner Meldung (optional):'|trans({},'global')|e('js') }}') )
        sec_p.append( $.html.createElement('<div><textarea maxlength="255" style="min-height: 70px; max-height: 120px; height: 70px;" name="report_details"></textarea></div>') )

        form.append(sec_p)

        $.html.popup('{{ 'Unangemessenen Inhalt melden'|trans({},'global')|e('js') }}', form, null, [
            [ '{{ 'Inhalt melden'|trans({},'global')|e('js') }}',  [ ['click', (e_sub, elem_sub) => {
                const reason = document.querySelector('[name="report_reason"]:checked') ? parseInt(document.querySelector('[name="report_reason"]:checked').value) : 0;
                const detail = document.querySelector('[name="report_details"]') ? document.querySelector('[name="report_details"]').value : '';

                $.html.triggerPopupPop(elem_sub);
                $.ajax.easySend( '{{ url('home_report_pm_controller') }}', {pmid: parseInt( elem.getAttribute('x-post-id') ), reason: reason, details: detail }, function () {
                    $.ajax.load(null, '{{ path('town_house', {'tab': 'messages', 'subtab': 'received'}) }}', true);
                } )
            }] ] ],
            [ '{{ 'Abbrechen'|trans({},'global')|e('js') }}', [ ['click', (e_sub, elem_sub) => $.html.triggerPopupPop(elem_sub)] ] ]
        ] );
    });
</script>